GET /whatsapp/accounts/{id}/media/{waMediaId}

Media info; download=1 streams the bytes instead (Content-Type, Content-Length, Content-Disposition: attachment). Works for inbound attachment ids

GET
/whatsapp/accounts/{id}/media/{waMediaId}

Authorization

BearerAuth
headerAuthorizationBearer <token>

API key sk_...

Path Parameters

id*string

WhatsApp account id

waMediaId*string

WhatsApp media id

Query Parameters

download?string

Stream the bytes

Value in"1""true"

Response Body

MediaInfo as {accountId, media}, or the file with download=1

  1. response
accountId?string
media?
Example Request
curl -X GET 'https://example.com/api/v1/whatsapp/accounts/string/media/string'
Example Response
{  "accountId": "string",  "media": {    "id": "string",    "mimeType": "string",    "sha256": "string",    "size": 0  }}